
# react-native-loading

## Getting started

`$ npm install react-native-loading --save`

### Mostly automatic installation

`$ react-native link react-native-loading`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-loading` and add `RNLoading.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNLoading.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.zubintang.loading.RNLoadingPackage;` to the imports at the top of the file
  - Add `new RNLoadingPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-loading'
  	project(':react-native-loading').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-loading/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-loading')
  	```


## Usage
```javascript
import RNLoading from 'react-native-loading';

// TODO: What to do with the module?
RNLoading;
```
  