
package com.zubintang.loading;

import android.app.ProgressDialog;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactMethod;

public class RNLoadingModule extends ReactContextBaseJavaModule {

  private ProgressDialog dialog;

  public RNLoadingModule(ReactApplicationContext reactContext) {
    super(reactContext);
  }

  @Override
  public String getName() {
    return "RNLoading";
  }


  @ReactMethod
  public void show() {
    if (dialog != null && dialog.isShowing()) return;
    dialog = ProgressDialog.show(getCurrentActivity(), "", "加载中...");
  }

  @ReactMethod
  public void hide() {
    if (dialog != null) {
      dialog.dismiss();
      dialog = null;
    }

  }

}